![univariate_equipment.png](eYdsAZFVasT1)

This flow zone computes the univariate modeling of the uptime of each equipment between two maintenance operations, **regardless of the type of maintenance operation**. Two models are used:

- A [Kaplan-Meier estimator](https://en.wikipedia.org/wiki/Kaplan%E2%80%93Meier_estimator) is used to produce the survival function in the second panel of the dashboard. Using this plot, we can visualize the percentage of uptimes that were longer than any given number of days for any equipment. This provides an estimation of the survival probability for each number of days and each piece of equipment.

- A Weibull profile: the analysis fits the parameters of a [Weibull distribution](https://en.wikipedia.org/wiki/Weibull_distribution) to each equipment's uptimes. Depending on the result, the equipment is classified into one of three profiles:

  1. A value of **k < 1** indicates that the failure rate decreases over time. This is typically observed in the case of **early-life failures** (also known as “infant mortality”), where defective components or systems fail early in their operational life. In industrial maintenance, this profile can indicate potential manufacturing defects or improper installation.

  2. A value of **k = 1** indicates a constant failure rate over time, suggesting **random failures** . This profile suggests that failures are unpredictable and can occur any time.

  3. A value of **k > 1** indicates that the failure rate increases with time. This is associated with **wear-out failures**, where parts or equipment degrade due to aging, fatigue, or wear and tear. Equipment in this profile is likely working as expected.